# Chat Language Plugin

This unofficial TaleSpire mod allows the specification of languages in chat. When a player's mini does not speak that
language they will get language text instead. When a player's mini does speak that language, the message will be shown
normally. Uses language text mutation so that language text remains same for the same words.

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install.

## Usage

### Set Languages

To set the languages for a mini, press the shortcut key for the Edit Languages function (default ``RCTRL``+``L``).
A dialog will appear if a mini is selected. Enter the language or languages that the mini knows. To enter more than
one language, separate the languages by a comma.

Note: Ensure that languages do not have names that include other languages as subset. For example, is the language of
``Isk`` exists then ensure that languages like ``Iskshari`` or ``Prisk`` do not exist.

### Speak In A Language

To speak in a language, preceed the message by ``/lang`` followed by the language name (must be single word).

For example:

``/lang Elven Welcome travellers. Be at home.``

If the player's currently selected mini understands the language the message will be displayed normally. If not, the
message will be language encoded.

When using the language function, regardless if the language was understood or not, the language name follows the
message in brackets.

## Lamguage Encoding

The language encoding method uses a letter shifting algorithm based on the language name. This means that it will
produce the same results for the same words of the same language. This means that if a character translates, a player
can remember the words and then be able to understand them in the future.

For example, if a character asks an Orc a yes or no question. The orc replies in the Orc language. A player has a
mini that does not understand Orc so he/she sees Orc text. If the asking character, who presumably does speak Orc,
confirms if the answer was, for exmaple, yes that other player now know what yes looks like in Orc.
